Pertanyaan Bagaimana saya bisa menginstal Adobe AIR?


Saya adalah pengguna berat aplikasi tertentu yang dibangun di AIR.

Tampaknya AIR telah menghentikan dukungan untuk Linux. Bahkan versi lama di Adobe AIR Archives tampaknya hanya mendukung distribusi Linux 32 bit dan saya berada di 64 bit saat ini.

Apakah ada kemungkinan kecil bahwa saya dapat menjalankan AIR dalam kondisi seperti ini? Jika demikian, bisakah Anda memberi tahu saya di mana saya bisa mendapatkan langkah demi langkah instalasi terperinci untuk ini?


153
2017-12-13 14:51


asal


Perhatikan bahwa Adobe telah mengakhiri dukungan untuk AIR di Linux. Adobe juga bergerak menjauh dari teknologi warisan seperti Flash dan AIR ke HTML5 yang merupakan masa depan. - Anonymous
Saya menginstal adobe air dari .deb file secara oneric - Tachyons


Jawaban:


Saya butuh Air untuk sekitar tiga program - YNAB, LongTailPro, Xtend:

  1. Unduh Versi Terbaru Air 2.6.0 Untuk Linux ke Desktop Anda:

  2. Ctrl + Alt + T untuk membuka terminal

  3. sudo apt-get install ia32-libs  - (32bit sampah jika Anda ingin menjalankan ini di Ubuntu x64; jika Anda mengalami masalah, lihat "Tergantung: ia32-libs-multiarch tetapi tidak dapat diinstal" - Solusi)

  4. cd Desktop (ubah dir. ke Desktop dir.)

  5. chmod +x AdobeAIRInstaller.bin (mode ubah - jalankan izin ya)

  6. ./AdobeAIRInstaller.bin (setelah Anda menerima lisensi Adobe Air, ia akan meminta Anda untuk kata sandi Anda; perlu akses root untuk menginstal)

Mungkin Anda akan mendapatkan kesalahan setelah perintah terakhir?

Maaf, telah terjadi kesalahan. Adobe AIR tidak dapat dipasang. Instal Gnome Keyring atau KDE KWallet sebelum menginstal Adobe AIR.

Ini bisa diperbaiki:

  • Di terminal (pintasan default: Ctrl + Alt + T), ketik:

    locate libgnome-keyring.so
    
  • Ini adalah hasil saya (milik Anda mungkin berbeda):

    /usr/lib/x86_64-linux-gnu/libgnome-keyring.so.0
    /usr/lib/x86_64-linux-gnu/libgnome-keyring.so.0.2.0
    
  • Seperti yang disarankan di bawah ini oleh @jmendeth, cara termudah untuk memberi tahu penginstal tempat menemukan file-file ini adalah dengan menggunakan LD_LIBRARY_PATH:

    • Untuk Ubuntu 32-bit (diuji pada 12.04):

      LD_LIBRARY_PATH=/usr/lib/i386-linux-gnu ./AdobeAIRInstaller.bin
      
    • Untuk Ubuntu 64-bit, baris perintah mungkin akan menjadi:

      LD_LIBRARY_PATH=/usr/lib/x86_64-linux-gnu ./AdobeAIRInstaller.bin
      

Jika trik LD_LIBRARY_PATH tidak berfungsi, Anda dapat mencoba ini:

  • Buat tautan simbolis ke string lokasi Anda yang Anda temukan dengan perintah sebelumnya:

    sudo ln -s /usr/lib/x86_64-linux-gnu/libgnome-keyring.so.0 /usr/lib/libgnome-keyring.so.0
    sudo ln -s /usr/lib/x86_64-linux-gnu/libgnome-keyring.so.0.2.0 /usr/lib/libgnome-keyring.so.0.2.0
    
  • Gunakan perintah berikut untuk sistem 32-bit:

    sudo ln -s /usr/lib/i386-linux-gnu/libgnome-keyring.so.0 /usr/lib/libgnome-keyring.so.0
    sudo ln -s /usr/lib/i386-linux-gnu/libgnome-keyring.so.0.2.0 /usr/lib/libgnome-keyring.so.0.2.0
    
  • Kemudian ulangi langkah 4 & 6 (lewati 5, karena izin untuk menjalankan file belum berubah).

  • Hapus tautan simbolik setelah instalasi Adobe AIR 2.6.0:

    sudo rm /usr/lib/libgnome-keyring.so.0
    sudo rm /usr/lib/libgnome-keyring.so.0.2.0
    

Referensi:


225
2018-04-09 02:26



Besar! Sudah terpasang. Sekarang jika saya hanya bisa menginstal paket AIR ... - BrianXP7
Tidak menghargai AIR LD_LIBRARY_PATH? Sama seperti - Alba Mendez
Saya membuat akun hanya untuk meningkatkan suara +1 ini - Paul Bellora
Saya tidak dapat memberi Anda +1 yang cukup. - Jonah
Ini tidak bekerja untuk saya di Xubuntu 13.10. sudo apt-get install ia32-libs Paket ia32-libs tidak tersedia, tetapi dirujuk oleh paket lain. Ini mungkin berarti bahwa paket tersebut hilang, telah usang, atau hanya tersedia dari sumber lain. Namun, paket berikut menggantinya: lib32asound2 lib32z1 lib32ncurses5 lib32bz2-1.0 ./AdobeAIRInstaller.bin/tmp/air.kmEATV/setup: kesalahan saat memuat pustaka bersama: libgtk-x11-2.0.so.0: tidak dapat membuka file objek bersama: Tidak file atau direktori tersebut - Slava Fomin II


Ubuntu 13.10, 14.04, 15.04, dan 15.10 (64 bit)

  1. Instal pustaka i386, yang diperlukan untuk instalasi dan menjalankan aplikasi Adobe Air dan udara yang sukses.

    sudo apt-get install libxt6:i386 libnspr4-0d:i386 libgtk2.0-0:i386 libstdc++6:i386 libnss3-1d:i386 lib32nss-mdns libxml2:i386 libxslt1.1:i386 libcanberra-gtk-module:i386 gtk2-engines-murrine:i386
    
  2. Memasang libgnome-keyring0:i386 paket.

    sudo apt-get install libgnome-keyring0:i386
    
  3. Buat symlink ke gnome-keyring sehingga Adobe Air bisa melihatnya.

    sudo ln -s /usr/lib/x86_64-linux-gnu/libgnome-keyring.so.0 /usr/lib/libgnome-keyring.so.0
    
    sudo ln -s /usr/lib/x86_64-linux-gnu/libgnome-keyring.so.0.2.0 /usr/lib/libgnome-keyring.so.0.2.0 
    
  4. Unduh pemasang Adobe Air dari sini.

  5. Berikan izin eksekusi dan jalankan file .bin tersebut.

    sudo chmod +x AdobeAIRInstaller.bin
    sudo ./AdobeAIRInstaller.bin
    

Sumber

Catatan untuk Ubuntu 16.04 (64 bit)

Untuk Ubuntu 16.04 dan lebih besar, instal paket libnss-mdns:i386 bukannya paket lib32nss-mdns. Ini akan memecahkan masalah "Paket tidak ditemukan kesalahan" terkait dengan paket itu.


43
2018-03-28 23:36



Yang ini juga berfungsi untuk 14.04 - adosaiguas
Baik untuk tahu .. Saya akan memperbarui jawaban saya. - Avinash Raj
Ini juga berfungsi untuk 15.04 (64bit). Terima kasih. - Dmitry Wojciechowski
Juga Bekerja untuk 15.10 (saya menggunakan versi pengembangan) - Yana Agun Siswanto
16.04, mendapat kesalahan itu lib32nss-mdns hilang. Saat pemasang dibuka didapat Gtk-Message: Failed to load module "overlay-scrollbar" Gtk-Message: Failed to load module "gail" Gtk-Message: Failed to load module "atk-bridge". Sepertinya sudah terpasang dengan benar. Tapi aplikasi yang saya butuhkan AIR untuk kebutuhan versi yang lebih baru: / - raphael


Sebagai alternatif, Anda dapat menginstal prebuilt .deb

Ada udara 2.6 (Linux yang didukung terakhir) tersedia sini untuk kedua arsitektur (Keduanya menggunakan 32 bit di bawah tetapi setidaknya berfungsi). Terimakasih untuk prusswan untuk menunjukkannya.

Pastikan Anda memiliki 32 bit lib yang dibutuhkan:

sudo apt-get install ia32-libs

Saya mengunduh AMD64 (adobeair_2.6.0.19170_amd64.deb) dan menginstalnya di komputer saya (am64 dengan Precise Pangolin 12.04)

sudo dpkg -i adobeair_2.6.0.19170_amd64.deb

Kemudian saya menginstal aplikasi yang membutuhkan Adobe Air di tempat pertama dan itu berhasil.

Pembaruan untuk Ubuntu 13: 10+,

Mencoba teknik ini, saya mendapatkan "Paket ia32-libs-gtk tidak diinstal"

Saya melihat ke atas paket dan mencoba menginstal dependensi dan paket terkait lainnya yang dapat saya pikirkan secara langsung:

sudo apt-get install gtk2-engines:i386 libart-2.0-2:i386 libcairo2:i386 libcanberra-gtk0:i386 libdatrie1:i386 libgail-common:i386 libgconf2-4:i386 libgtk2.0-0:i386 liblua5.1-0:i386 libpango1.0-0:i386 libpixman-1-0:i386 libqt4-network:i386 libqt4-test:i386 libqtcore4:i386 libthai0:i386 libbonobo2-0:i386 libglade2-0:i386 libgnomecanvas2-0:i386 libidl0:i386 liborbit2:i386 libwmf0.2-7:i386 gtk2-engines-murrine:i386

Tapi itu tidak berhasil baik untuk deb atau biner asli.


18
2018-05-29 19:56



Saya telah mencari internet tinggi dan rendah dan tautan pemasangan Anda adalah satu-satunya yang berfungsi. Catatan untuk pengunjung mendatang: jika Anda menggunakan AdobeAIRInstaller.bin dan mendapatkan Gtk WARNING **: cannot open display: kesalahan, coba ini! - eleanor.mal
ini jauh lebih mudah daripada jeffhendricks.net/?p=68 - realgt
Gali sedikit lebih dalam dari nora dan temukan jawaban tentang masalah "tidak dapat membuka tampilan". Masalahnya adalah Anda tidak dapat membuat pengguna root terhubung ke tampilan X di Ubuntu (dengan pengaturan default), tetapi kita perlu menjalankan installer kita sebagai root (fail-design). Pertama instal sux (switchuser dengan X kredensial). Izinkan pengguna root untuk terhubung ke tampilan X. Dapatkan pengaturan tampilan saat ini. Kemudian gunakan sux untuk beralih ke pengguna root. Jalankan penginstal dengan pengaturan tampilan. 1 sudo apt-get install sux 2 /usr/bin/xhost + 3 echo $DISPLAY (gunakan ini pada langkah 5) 4. sudo sux - 5. DISPLAY=:0.0 ./AdobeAIRInstaller.bin - Nicholi


Ubuntu 14.04 - 32 dan 64 bit - install .deb mudah

Karena cara kerja multiarch, Anda sekarang dapat cukup menginstal file i386 .deb pada Ubuntu 64bit yang lebih baru dan secara otomatis akan menginstal dependensi yang tepat. (Juga 64 bit .deb hanya 32bit yang dikemas ulang dengan ketergantungan pada ia32-libs)

  1. Unduh debet 32 ​​bit (ya bahkan untuk Ubuntu 64 bit Anda): http://update.devolo.com/linux/apt/pool/main/a/adobeair/adobeair_2.6.0.19170-devolo1_i386.deb (Terima kasih atas jawaban yuvilio) Paket 64 bit di situs yang sama adalah versi repackaged dari 32 bit, Anda akan memiliki masalah jika Anda menggunakan paket 64 bit, gunakan paket 32 ​​bit untuk sistem 32 dan 64 bit Ubuntu 13.10+.

  2. Buka di pusat perangkat lunak, klik Memasang

    enter image description here Abaikan peringatan tentang kualitas paket


Atau jika Anda memiliki game Steam yang membutuhkan Air, cukup instal dan jalankan game itu dan itu akan menginstal Air pada game pertama.

Contoh game yang menggunakan Air:

  • Pembela Quest
  • Anodyne (jadi bingung jika Anda sudah memasang Air, jalankan sudo apt-get remove adobeair dan coba penginstal permainan lagi karena dilengkapi dengan Air)

Saya menemukan ini selama Mingguan Humble Sale untuk mendukung beberapa proyek sumber terbuka.


13
2018-03-30 11:46





Langkah 1: Dapatkan udara Selanjutnya unduh file Adobe Air .bin (tautan langsung di sini).

Langkah 2: Instalasi

Buka terminal (aplikasi> Aksesori> Terminal) dan arahkan ke folder Unduhan Anda (atau folder tempat Anda menyimpan file .bin).

* cd Download/

Kita harus membiarkan file .bin memiliki izin untuk menginstal, jadi masukkan perintah berikut dengan hati-hati: -

* chmod +x AdobeAIRInstaller.bin

Sekarang mari kita instal:

* ./AdobeAIRInstaller.bin

Instalasi harus zip dan, jika semuanya berjalan lancar, entri menu baru akan muncul di ‘Aplikasi> Aksesori’ yang berjudul ‘Pemasang Aplikasi Adobe Air’.


6
2018-01-10 04:14



Ini tidak bekerja pada Ubuntu 13.10 x64 - Paul Gregoire


... akhirnya setelah beberapa masalah dan setelah banyak pencarian di forum ini, google dan halaman lain berhasil melakukannya. Pertama saya ingin berterima kasih kepada komunitas yang memberi saya lebih banyak ambisi untuk melakukannya, daripada membuat saya berhenti untuk menginstal AdobeAir.

Seluruh masalah adalah paketnya ia32-libs(Paket ia32-libs adalah hack untuk mendapatkan paket 32-bit yang diinstal pada instalasi 64-bit. Sejak Ubuntu versi 11.10 (Oneiric), Multi Arch telah ditambahkan. Salah satu tujuannya adalah menghapus paket ia32-libs) ... paket yang Canonical telah memutuskan untuk mengakhiri dukungannya.

Yang harus saya lakukan untuk menginstal ia32-libs paket untuk menambahkan repo ini:

1- ''deb http://archive.ubuntu.com/ubuntu/ sumber multiversepackage alam semesta terbatas''

Saya mengikuti langkah-langkah dari tutorial cepat dan mudah ini:

http://wiki.phoenixviewer.com/ia32-libs-in-ubuntu-13-10

2- maka halaman ini yang membawa saya ke hal yang baik ini langkah-langkah untuk menginstal Adobe Air Untuk Sistem 64-bit

www.thepowerbase.com/2013/06/how-to-install-adobe-air-in-ubuntu-13-04/

-----------------dokumentasi yang saya gunakan:---------------

www.askubuntu.com/questions/87447/how-can-i-install-adobe-air
helpx.adobe.com/air/kb/archived-air-sdk-version.html
www.wiki.phoenixviewer.com/ia32-libs-in-ubuntu-13-10
www.ubuntuforums.org/showthread.php?t=2181649
www.askubuntu.com/questions/91815/how-to-install-software-or-upgrade-from-old-    unsupported-release  

P.S. --- sebagaimana dicatat oleh Alvar, Adobe Air untuk Linux tidak lagi didukung ---


4
2017-11-06 09:08



Lihat tautan ini. Ini bekerja dengan baik. tkalin.com/blog_posts/… - Michael Mikowski
@MichaelMikowski Tautan Anda membantu saya. Tautan di atas tidak memiliki solusi perpustakaan coping manual yang tidak dapat dipasang. Setelah itu, saya memasang AdobeAir. - ubuntico


Sayangnya, bertahun-tahun terlambat "Adobe AIR untuk Linux tidak lagi didukung." mengikuti apa yang dikatakan halaman adobe. Menggunakan "arsip AIR" adalah mungkin untuk mendapatkan versi yang tidak didukung, versi 2.6.0 adalah yang terbaru yang tersedia. Jika Anda perlu menginstal program yang memerlukan versi yang lebih baru, Anda dapat pergi ke kotak Virtual dengan tamu Windows.

Langkah-langkah yang disarankan untuk Ubuntu 16.10:

untuk mesin 32-bit

wget -O adobe-air_i386.deb http://drive.noobslab.com/data/apps/AdobeAir/adobeair_2.6.0.2_i386.deb
sudo dpkg -i adobe-air_i386.deb
sudo apt-get install -f && rm adobe-air_i386.deb

untuk mesin 64bit

wget -O adobe-air_amd64.deb http://drive.noobslab.com/data/apps/AdobeAir/adobeair_2.6.0.2_amd64.deb
sudo dpkg -i adobe-air_amd64.deb
sudo apt-get install -f && rm adobe-air_amd64.deb

Langkah-langkah yang disarankan untuk Ubuntu 16.04 / 14.04 / 12.04 / Linux Mint 18/17/13 (keduanya diekstrak dari sini):

wget -O adobe-air.sh http://drive.noobslab.com/data/apps/AdobeAir/adobe-air.sh
chmod +x adobe-air.sh;sudo ./adobe-air.sh

1
2018-03-30 17:53





Saya memiliki Ubuntu 14.04 64-bit. Satu-satunya cara memasang Adobe Air yang berhasil bagi saya adalah mengikuti bagian pertama ini instruksi untuk menginstal Balsamiq di Ubuntu, itulah yang saya coba lakukan di tempat pertama.

Ringkasan singkat dari instruksi tersebut: - Unduh pemasang Adobe Air ini - Menginstal paket libgtk 32-bit (tapi saya melewatkan langkah ini; tidak berhasil untuk saya, dan sepertinya tidak perlu) - Membuat tautan simbolis ke dua file libgnome-keyring - Membuat pemasang Adobe Air dapat dieksekusi dan menjalankannya dengan sudo


0
2018-01-29 22:46